Subject: Re: Possible Bug (never know)
From: Bob McGowan <[email-masked]>
To: David Starks-Browning <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Mon, 27 Nov 2000 11:16:06 -0800

The "standard" sh found on Solaris 2.7 does not recognize pushd/popd so I'd suggest "not expected to support" as the answer.

On the flip side, Solaris sh recognizes functions but really old sh's didn't have that feature either, so you could argue either way.  I think I'd still go with "not
expected" though.

David Starks-Browning wrote:
> 
> On Tuesday 21 Nov 00, Christopher Faylor writes:
> > >>[2] In cygwin-B20 and in the current version, 'pushd', 'popd'
> > >>     work in a Bash shell but not in a script.
> >
> > It's an ash versus bash thing.  ash (aka /bin/sh) does not support pushd
> > or popd.  Bash does.
> 
> Is /bin/sh (not ksh or bash) normally expected to support pushd and
> popd?  If so, and it's something ommitted from ash, I'll add this to
> the FAQ under "Why doesn't my script work?".
> 
> Cheers,
> David
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]